Projekty
APIChat

List conversation messages

Returns messages of a conversation the user participates in; newest page first pagination ascending.

GET
/api/chat/{id}/messages

Returns messages of a conversation the user participates in; newest page first pagination ascending.

Authorization

sessionAuth
cookiebetter-auth.session_token<token>

Better Auth session cookie (on HTTPS: __Secure-better-auth.session_token), forwarded to the login server's /api/auth/get-session

Path Parameters

id*string

Query Parameters

limit?integer
Range1 <= value <= 100
cursor?string

Response Body

OK

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
curl -X GET 'https://example.com/api/chat/string/messages'
Example Response
{  "items": [    {      "id": "string",      "conversationId": "string",      "senderId": "string",      "content": "string",      "type": "string",      "systemEventType": "string",      "readAt": "string",      "createdAt": "string",      "updatedAt": "string"    }  ],  "nextCursor": "string"}